Bug 1068561 - thrift: Switch to java-headless (build)requires
Summary: thrift: Switch to java-headless (build)requires
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thrift
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Tubbs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1067528
TreeView+ depends on / blocked
 
Reported: 2014-02-21 13:26 UTC by Stanislav Ochotnicky
Modified: 2017-04-01 17:04 UTC (History)
4 users (show)

Fixed In Version: thrift-0.9.1-15.el7 thrift-0.10.0-2.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-29 20:51:23 UTC
Type: ---


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2014-02-21 13:26:13 UTC
thrift or one of its subpackages currently Requires and/or BuildRequires
java. OpenJDK package has been split and most packages should now Require
package 'java-headless' instead. Requires and BuildRequires on java-devel remain
unchanged.

Few exceptions where packages can not use java-headless but must keep using
full java package.
 * software using Java awt subsystem
 * software using Java sound subsystem

Your options:
1. Leave this bug untouched and after March 17th 2014 an automated tool will
   migrate this package to java-headless and run a rebuild in Fedora Rawhide.
2. Change bug to 'Assigned' if you plan to review and migrate to java-headless
   manually. Automated tool will not touch bugs that are not in NEW state.

See tracking bug #1067528 or Headless Java change proposal[1] and Java Packaging
guidelines[2] for more details about this change.

If you have more questions about this change feel free to ask on java-devel
mailing list[3] or #fedora-java Freenode IRC channel (mostly 9:00-18:00 CET).


[1] https://fedoraproject.org/wiki/Changes/HeadlessJava
[2] https://fedoraproject.org/wiki/Packaging:Java\#BuildRequires_and_Requires
[3] http://lists.fedoraproject.org/pipermail/java-devel/

Comment 1 Peter Robinson 2015-01-19 09:51:41 UTC
Any update on this? I also noticed that Thrift 0.9.2 has been released which fixes an number of issues on Secondary atches

Comment 2 Jaroslav Reznik 2015-03-03 16:59:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Marcin Juszkiewicz 2015-11-30 11:09:41 UTC
Are there plans to update to 0.9.2 in F24?

Comment 4 Jan Kurik 2016-02-24 13:14:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Christopher Tubbs 2017-03-08 02:16:52 UTC
I've just built thrift-0.10.0-1.fc26 in koji, but it looks like this issue still affects the fb303 subpackage. I don't really know much about the fb303 subpackage, but I'm pretty sure it doesn't need the non-headless version. I'll take care of it soon, so it should make it in by the F26 beta.

Comment 6 Fedora Update System 2017-03-14 10:41:18 UTC
thrift-0.9.1-15.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-95f9ce01bc

Comment 7 Fedora Update System 2017-03-14 10:41:58 UTC
thrift-0.10.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-64b8696983

Comment 8 Fedora Update System 2017-03-14 23:19:01 UTC
thrift-0.9.1-15.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-95f9ce01bc

Comment 9 Fedora Update System 2017-03-15 04:22:46 UTC
thrift-0.10.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-64b8696983

Comment 10 Fedora Update System 2017-03-29 20:51:23 UTC
thrift-0.9.1-15.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-04-01 17:04:27 UTC
thrift-0.10.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.